package com.zehong.system.service;

import java.util.List;
import java.util.Map;

/**
 * 首页统计
 */
public interface TScreenStatisticService {

    /**
     * 考勤打卡统计
     * @return
     */
    Map<String,Object> clockStatistic();

    /**
     * 最新任务统计
     * @param param 入参
     * @return
     */
    Map<String,Object> userCurrentTaskStatistic(Map<String,Object> param);

    /**
     * 最新巡检统计
     * @param param 入参
     * @return
     */
    List<Map<String,Object>> userCurrentInspectStatistic(Map<String,Object> param);

    /**
     * 设备生命周期统计
     * @return
     */
    Map<String,Object> devLifeStatistic();

    /**
     * 隐患统计
     * @return
     */
    Map<String,Object> dangerStatistic();


    /**
     * 新大屏数量统计
     * @return
     */
    Map<String,List<Map<String,Object>>> totalNumStatisticByType();


    /**
     * 新大屏用户统计
     */
    Map<String,List> userStatistic();
}
